#include "LimitGeneratorRegressionEventComponent.h"
#include "Net/UnrealNetwork.h"

void ULimitGeneratorRegressionEventComponent::OnRep_RegressionEventsSuffered()
{

}

void ULimitGeneratorRegressionEventComponent::OnRep_IsRegressionPrevented()
{

}

void ULimitGeneratorRegressionEventComponent::OnRep_IsBonusDamageAvailabilityVisible()
{

}

bool ULimitGeneratorRegressionEventComponent::IsGeneratorRegressible() const
{
	return false;
}

int32 ULimitGeneratorRegressionEventComponent::GetMaxNumberRegressionEventsAllowed() const
{
	return 0;
}

void ULimitGeneratorRegressionEventComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ULimitGeneratorRegressionEventComponent, _regressionEventsSuffered);
	DOREPLIFETIME(ULimitGeneratorRegressionEventComponent, _isRegressionPrevented);
	DOREPLIFETIME(ULimitGeneratorRegressionEventComponent, _isBonusDamageAvailabilityVisible);
}

ULimitGeneratorRegressionEventComponent::ULimitGeneratorRegressionEventComponent()
{
	this->_regressionEventsSuffered = 0;
	this->_isRegressionPrevented = false;
	this->_isBonusDamageAvailabilityVisible = false;
}
